Page MenuHomeFreeBSD

net-p2p/transmission: Update to 3.00.
ClosedPublic

Authored by rigoletto on Jan 28 2019, 12:08 AM.

Details

Summary

Preparing to update transmission-* to 3.00.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Add the previously forgotten -web.

Removing DAEMON from OPTIONS_DEFAULT in the meta port.

rigoletto retitled this revision from net-p2p/transmission: Early Work. to net-p2p/transmission: Update to 3.00..Apr 25 2020, 8:49 PM
rigoletto edited the summary of this revision. (Show Details)
rigoletto edited the test plan for this revision. (Show Details)
rigoletto edited the summary of this revision. (Show Details)

WIP.

Major issue: disabling ENABLE_UTILS to some slaveports is not working at the moment.

Cheers!

I have tested this patch, it builds fine in poudriere. I run time tested this on my server, for the moment still running smoothly.

net-p2p/transmission-cli/Makefile
33 ↗(On Diff #70992)

That is a very bad idea, it seems like it means I cannot install the daemon and the cli at the same time.

net-p2p/transmission-cli/Makefile
33 ↗(On Diff #70992)

This is on purpose! The CLI is self-contained and have no means connect to the DAEMON, both need UTILS (create/edit/show) to be fully functional, and therefore they conflict.

IIRC just the GTK (maybe Qt too now) version, and third-party front-ends like Tremc can connect to the daemon.

This revision was not accepted when it landed; it landed in state Needs Review.May 6 2020, 3:24 PM
This revision was automatically updated to reflect the committed changes.